package com.ruoyi.warehouseBusiness.mapper;

import com.ruoyi.warehouseBusiness.domain.TWarehousebillsitemsElabel;
import org.apache.ibatis.annotations.MapKey;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface TWarehousebillsitemsElabelMapper {
    /**
     * 增一条
     */
    void insert(TWarehousebillsitemsElabel elabel);
    /**
     * 修改一条
     */
    void updateById(TWarehousebillsitemsElabel elabel);
    /**
     * 修改状态
     */
    void updateStatus(TWarehousebillsitemsElabel elabel);
    /**
     * 删一条
     */
    int deleteById(Long id);

    /**
     * 根据父级 id 删除数据
     */
    int deleteByFPid(Long fPid);

    /**
     * 查一条
     */
    List<TWarehousebillsitemsElabel> selectList(TWarehousebillsitemsElabel elabel);

    /**
     * 查一条
     */
    TWarehousebillsitemsElabel selectById(Long id);

    /**
     * 根据标签内容获取数据
     */
    TWarehousebillsitemsElabel selectByfContent(String fContent);
    /**
     * 根据父级 id 获取数据
     */
    List<TWarehousebillsitemsElabel> selectByfPid(Long fPid);
    /**
     * 根据父级的父级 id 获取数据
     */
    List<TWarehousebillsitemsElabel> selectByfGPid(Long fGPid);

    /**
     * 获取电子标签
     */
    List<String> getLabel(String billNo);

    /**
     * 获取电子标签
     */
    List<String> getLabelByTop(Long topId);

    /**
     * 获取电子标签
     */
    List<String> getLabelByPid(Long pid);

    /**
     * 获取数据
     */
    List<TWarehousebillsitemsElabel> selectByStockId(Long stockId);

}
